database_api.list_smt_contributions
since HF23 deprecated
SMT has been abandoned; this RPC method is no longer provided.
Purpose
列出 SMT 出资(contribution)。需要用出资在 ICO 阶段跟踪对某个 SMT 的个体出资。参数:start:array;limit:int;order:string
start取决于order(见下文)limit最大 1000。order可取以下值:by_symbol_id- 按符号(symbol)排序by_symbol_contributor- 按symbol、contributor与contribution_id排序
| start (array) | limit (int) | order (string) | |-------------------|-|-|-|-|-| | [{"nai": "@@422838704", "decimals": 0}, 0] | 10 | by_symbol_id | 列出 10 条出资,按符号、id 排序 | | [{"nai": "@@422838704", "decimals": 0}, "alice", 0] | 10 | by_symbol_contributor | 列出 10 条出资,按符号、出资者(contributor)、id 排序 |
参见:Token Units、Vesting Contributions
另见:Paginated API Methods
Parameters
PARAMETERS
json
{
"start": null,
"limit": 0,
"order": "by_symbol_id"
}⚠ 此方法已弃用(SMT 时代),公共节点已不再提供。
Example
Example 1
BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_smt_contributions",
"params": {
"start": [
{
"nai": "@@422838704",
"decimals": 0
},
0
],
"limit": 10,
"order": "by_symbol_id"
},
"id": 1
}'Example 2
BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_smt_contributions",
"params": {
"start": [
{
"nai": "@@422838704",
"decimals": 0
},
"alice",
0
],
"limit": 10,
"order": "by_symbol_contributor"
},
"id": 1
}'Response
RESPONSE
json
{
"contributions": [
{
"id": 0,
"symbol": {
"nai": "@@422838704",
"decimals": 0
},
"contributor": "alice",
"contribution_id": 0,
"contribution": {
"amount": "1000",
"precision": 3,
"nai": "@@000000021"
}
}
]
}